Calculate Linux - Bug # 82: CLD 10 is affected by KDE 4.3.3 bug: kio_thumbnail eating memory up really qui

Status: Closed Priority: High

Author: Vladimir Berkut Category:

Created: 01/22/2010 Assignee:

Updated: 03/01/2011 Due date:

Subject: CLD 10 is affected by KDE 4.3.3 bug: kio_thumbnail eating memory up really quick (memleak)
Description: To reproduce, you need stock CLD 10 system installed.

| don't know if it may affect this, but you can try open some folder in Dolphin, with any pictures or video, and
make sure you have watched thumbnail ONCE.

On my system it happens even if | don't open any such folder, | have show miniatures OFF now. Does not
help. After 6 hours running, | had kernel reload kde4.

Effect: System may crash(reload kde4init), because kio_thumbnail eats up ALL memory.

Bug is known, see this: https://bugs.launchpad.net/ubuntu/+source/kdebase-runtime/+bug/289338

| also attach two files: one with dmesg log when kio_thumbnail gets killed(together with current kde session),
another one is image of htop with kio_thumbnail eating 4Gb of memory(and growing).

This is not special bug of Calculate, but of KDE 4.3.3, please close it once its fixed upstream. :(

History

01/14/2011 10:11 am - Alexander Tratsevskiy
Error isn't repeated in KDE 4.5.5?

01/31/2011 11:10 am - Alexander Tratsevskiy
- Status changed from New to Closed

03/01/2011 10:11 pm - Vladimir Berkut
Hello Alexander!

I'm using Gentoo now, not Calculate, but will switch very soon back =)
So.. Itis resolved in KDE >4.5.3

*really closed*

Files
kio_thumbnail_memleak.txt 5.4 KB 01/22/2010 Vladimir Berkut
kdeinit4-kio_thumbnail-memleak.jpeg 246.4 KB 01/22/2010 Vladimir Berkut
